dbXML API

## org.dbxml.tools.command
Class ListCollections

    java.lang.Object
      |
      +--org.dbxml.tools.command.Command
            |
            +--org.dbxml.tools.command.ListCollections

public class ListCollections
extends Command

ListCollections.java is designed to let the user list all Collections from a parent Collection or a nested Collection. NOTE: Collection names are not returned in any specific order

Fields inherited from class org.dbxml.tools.command.Command
`COLLECTIONURI, DBXML_NAME_INDEXER, DBXML_VAL_INDEXER, DBXMLURI, XMLDBAPIVERSION`

Constructor Summary
`ListCollections()`

Method Summary
`boolean` `execute(java.util.Hashtable table)`

Methods inherited from class org.dbxml.tools.command.Command
`normalizeCollectionURI, normalizeDbXmlURI`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListCollections

    public ListCollections()

Method Detail

### execute

    public boolean execute(java.util.Hashtable table)
                    throws java.lang.Exception

  Overrides:
    `execute` in class `Command`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved